/// <reference types="stylus" />
/// <reference types="less" />
declare module "utils" {
    import { Options as SassOptions } from 'sass';
    import { RenderOptions as StylusOptions } from 'stylus';
    export interface RenderOptions {
        sassOptions?: SassOptions;
        stylusOptions?: StylusOptions;
        lessOptions?: Less.Options;
    }
    export const getModule: (moduleName: string) => Promise<any>;
    export const renderStyle: (filePath: any, options?: RenderOptions) => Promise<string>;
}
declare module "index" {
    import { AcceptedPlugin } from 'postcss';
    import { PluginBuild } from 'esbuild';
    interface PluginOptions {
        extract?: boolean;
        cssModulesMatch?: RegExp;
        postcss?: AcceptedPlugin[];
    }
    const stylePlugin: (options?: PluginOptions) => {
        name: string;
        setup: (build: PluginBuild) => void;
    };
    export = stylePlugin;
}
declare module "*.styl";
declare module "*.less";
declare module "*.sass";
declare module "*.scss";
declare module "*.css";
declare module "*.module.css" {
    const classes: {
        readonly [key: string]: string;
    };
    export default classes;
}
declare module "*.module.scss" {
    const classes: {
        readonly [key: string]: string;
    };
    export default classes;
}
declare module "*.module.sass" {
    const classes: {
        readonly [key: string]: string;
    };
    export default classes;
}
declare module "*.module.less" {
    const classes: {
        readonly [key: string]: string;
    };
    export default classes;
}
declare module "*.module.styl" {
    const classes: {
        readonly [key: string]: string;
    };
    export default classes;
}
